Imports Microsoft.HomeServer.Controls
Imports Microsoft.HomeServer.Common.Client

Public Class MainTabUserControl

    Dim m_consoleServices As IConsoleServices

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

    End Sub

    Public Sub New(ByVal width As Integer, ByVal height As Integer, ByVal consoleServices As IConsoleServices)
        Me.New()

        Me.Width = width
        Me.Height = height
        Me.m_consoleServices = consoleServices
    End Sub

    Private Sub consoleToolBarButtons_MouseEnter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles consoleToolBarButton2.MouseEnter, consoleToolBarButton1.MouseEnter, addNewConsoleToolBarButton.MouseEnter
        'Determine which ConsoleToolBarButton raised event
        Dim button As ConsoleToolBarButton = CType(sender, ConsoleToolBarButton)

        'Set color
        button.ForeColor = Color.Black
    End Sub

    Private Sub consoleToolBarButtons_MouseLeave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles consoleToolBarButton2.MouseLeave, consoleToolBarButton1.MouseLeave, addNewConsoleToolBarButton.MouseLeave
        'Determine which ConsoleToolBarButton raised event
        Dim button As ConsoleToolBarButton = CType(sender, ConsoleToolBarButton)

        'Set color
        button.ForeColor = Color.White
    End Sub

    Private Sub newButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        'Determine which ConsoleToolBarButton raised event
        Dim button As ConsoleToolBarButton = CType(sender, ConsoleToolBarButton)

        'Remove button
        consoleToolBar1.Items.Remove(button)
    End Sub

    Private Sub addNewConsoleToolBarButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles addNewConsoleToolBarButton.Click
        'Two options exist for adding a new ConsoleToolBarButton...
        'using the default constructor or not:

        'Using default constructor:
        'Create button and explicitly set text and event handlers
        'Not unlike what happens when created with the designer
        Dim newButton As ConsoleToolBarButton = New ConsoleToolBarButton()
        newButton.Text = "New Button"
        AddHandler newButton.MouseEnter, AddressOf consoleToolBarButtons_MouseEnter
        AddHandler newButton.MouseLeave, AddressOf consoleToolBarButtons_MouseLeave

        ''Using non default constructor:
        ''Create button and specify name and automatically get color changing with mouse enter/leave
        'Dim newButton As ConsoleToolBarButton = New ConsoleToolBarButton("New Button")

        'Add event handler to remove button when clicked
        AddHandler newButton.Click, AddressOf newButton_Click

        'Add new button to ConsoleToolBar
        consoleToolBar1.Items.Add(newButton)
    End Sub

    Private Sub MainTabUserControl_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Add header text to first LineBox
        lineBox1.Header.Text = "LineBox1"

        'Add header text to first LineBox
        lineBox2.Header.Text = "LineBox2"
        'Change color and font as well
        lineBox2.Header.ForeColor = Color.HotPink
        lineBox2.Header.Font = New Font("Comic Sans MS", 14)


        redIconButton.Image = CommonImages.RedIcon
        'Note the sizing issue we see with an image that is too large for the area
        yellowIconButton.Image = CommonImages.YellowIcon
        greenIconButton.Image = CommonImages.GreenIcon
        grayIconButton.Image = CommonImages.GrayIcon
    End Sub
End Class
